#!/bin/bash
###########################################
# Starts a magmaOffenburg RoboCup client
# example: ./startTeam.sh
###########################################


CLSPTH=./magmaOffenburg.jar
CLSPTH=${CLSPTH}:./commons-math-1.2.jar
CLSPTH=${CLSPTH}:./vecmath.jar

if [ $# -ne 3 ]; then
	echo "Usage: $0 <Server IP> <Team name> <Players>"
	exit 1
fi

SERVER_IP=$1
TEAM_NAME=$2
PLAYERS=$3
SERVER_PORT=3100
LOGLEVEL=severe


for NUM in `seq 1 ${PLAYERS}`; do
	java -cp $CLSPTH magma.agent.general.RoboCupClient $TEAM_NAME $NUM $SERVER_IP $SERVER_PORT $LOGLEVEL &
	sleep 2
done

